﻿using DataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Contracts.BindingModels
{
    public class ProviderBindingModel : IProviderModel
    {
        public string Name { get; set; }
        public string Type { get; set; }
        public byte[] Logo { get; set; }
        public string Number { get; set;  }

        public int Id { get; set; }

        public ProviderBindingModel() { }

        public ProviderBindingModel(IProviderModel provider)
        {
            Id = provider.Id;
        }
    }
}
