﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WinFormsLibrary.SupportClasses
{
    public class BigTable<T>
    {
        public string FilePath = string.Empty;

        public string DocumentTitle = string.Empty;

        public List<ColumnDefinition> ColumnDefinitions;
        public List<ColumnDefinition> ColumnDefinitions2;

        public List<T> Data;

        public List<int[]> MergedColumns;
        public BigTable(string filePath, string documentTitle, List<ColumnDefinition> columnDefinitions, List<ColumnDefinition> columnDefinitions2, List<T> data, List<int[]> mergedColumns)
        {
            FilePath = filePath;
            DocumentTitle = documentTitle;
            ColumnDefinitions = columnDefinitions;
            Data = data;
            MergedColumns = mergedColumns;
            ColumnDefinitions2 = columnDefinitions2;
        }
    }
}
