﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WinFormsLibrary.SupportClasses.Enums;

namespace WinFormsLibrary.SupportClasses
{
    public class SimpleCircleDiagram
    {
        public string FileHeader { get; set; } = string.Empty;
        public string CircleDiagramName { get; set; } = string.Empty;
        public List<DataCircleDiagram> DataList { get; set; } = new();
        public string FilePath { get; set; } = string.Empty; 
        public EnumAreaLegend AreaLegend { get; set; }
        public string[] NameData { get; set; }
        public SimpleCircleDiagram(string filePath, string fileHeader, string circleDiagramName, EnumAreaLegend areaLegend, List<DataCircleDiagram> dataList)
        {
            FilePath = filePath;
            FileHeader = fileHeader;
            CircleDiagramName = circleDiagramName;
            AreaLegend = areaLegend;
            DataList = dataList;
        }
    }
}
