﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WinFormsLibrary.SupportClasses
{
    public class ImageClass
    {
        private string path;
        private string title;
        private List<byte[]> files;
        public string Path { get { return path; } set { path = value; } }
        public string Title { get { return title; } set { title = value; } }
        public List<byte[]> Files { get { return files; } set { files = value; } }
        public ImageClass() { }

        public ImageClass(string filePath, string documentTitle, List<byte[]> textData)
        {
            Path = filePath;
            Title = documentTitle;
            Files = textData;
        }
    }
}
